Bug 1784068 - Wrong spectable exec in desktop file
Summary: Wrong spectable exec in desktop file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spectacle
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-16 15:56 UTC by Paulo Fidalgo
Modified: 2020-01-16 19:16 UTC (History)
3 users (show)

Fixed In Version: spectacle-19.08.3-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-16 19:16:22 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 413007 0 None None None 2020-01-06 14:03:24 UTC

Description Paulo Fidalgo 2019-12-16 15:56:27 UTC
After installing spectable, if I try to run it from Krunner it will display the message: "Could not find the program 'qdbus'"

I've dug in and found out the package in the file /usr/share/applications/org.kde.spectacle.desktop have the following line:

Exec=qdbus org.kde.Spectacle / StartAgent

which I think is wrong, because running it from the command line with just "spectacle" works as expected.

Comment 1 Rex Dieter 2019-12-16 16:40:54 UTC
That does seem odd/silly that upstream would default to dbus activation instead of simply launching the executable.

I'll look into it

Comment 2 Rex Dieter 2019-12-16 16:49:28 UTC
Origin of the change,
https://phabricator.kde.org/D19225

Will patch things to use qdbus-qt5 instead (for now)

%changelog
* Mon Dec 16 2019 Rex Dieter <rdieter@fedoraproject.org> - 19.08.3-2
- fix dbus activation in org.kde.spectacle..desktop (#1784068)

Comment 3 Nick Cross 2020-01-06 09:23:47 UTC
Upstream issue seems to be : https://bugs.kde.org/show_bug.cgi?id=413007

Comment 4 Rex Dieter 2020-01-06 14:03:25 UTC
Yes, thanks for finding that.

Comment 5 Fedora Update System 2020-01-06 16:02:51 UTC
FEDORA-2020-f13a4bb035 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f13a4bb035

Comment 6 Fedora Update System 2020-01-07 01:07:41 UTC
gwenview-19.08.3-1.fc31, kamera-19.08.3-1.fc31, kdegraphics-mobipocket-19.08.3-1.fc31, kdegraphics-thumbnailers-19.08.3-1.fc31, kf5-libkdcraw-19.08.3-1.fc31, kf5-libkexiv2-19.08.3-1.fc31, kf5-libkipi-19.08.3-1.fc31, kf5-libksane-19.08.3-1.fc31, okular-19.08.3-1.fc31, spectacle-19.08.3-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f13a4bb035

Comment 7 Fedora Update System 2020-01-16 19:16:22 UTC
gwenview-19.08.3-1.fc31, kamera-19.08.3-1.fc31, kdegraphics-mobipocket-19.08.3-1.fc31, kdegraphics-thumbnailers-19.08.3-1.fc31, kf5-libkdcraw-19.08.3-1.fc31, kf5-libkexiv2-19.08.3-1.fc31, kf5-libkipi-19.08.3-1.fc31, kf5-libksane-19.08.3-1.fc31, okular-19.08.3-1.fc31, spectacle-19.08.3-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.